
# This option monitors server performance. If the server's TPS is less than the set value,
# TabList will cancels all currently running schedulers to improve server performance.
#  
# TabList will not restart these schedulers (ie animations, group updates, etc.),
# so you have to do it manually, by reconnecting to the server or by reloading the plugin.
#  
# At values below 8-5, TabList is almost unable to stop its own running processes,
# as the server is already under a very heavy load.
#  
# The values should be between 5-18
# If the value is below 5 or above 18, the default value will be 16.0
# To disable this feature set to -1
tps-performance-observation-value: -1.0

# Fake players that can be added to the player list.
fake-players:
  enabled: false

  # Count the added fake players to the %online-players% placeholder?
  count-fake-players-to-online-players: false

# If enabled, the gray color will not appear to other players when the player's game mode is spectator.
# The gray color will only show for the spectator player.
remove-gray-color-from-tab-in-spectator: false

# If enabled, vanished players in %online-players% placeholder won't be counted.
# Requires Essentials, SuperVanish, PremiumVanish or CMI plugin
ignore-vanished-players-in-online-players: false

# If enabled, vanished players with "tablist.onlinestaff" permission added will be counted in %staff-online% placeholder
# Requires Essentials, SuperVanish, PremiumVanish or CMI plugin
count-vanished-staffs: true

# Hide player from player list when a player is AFK?
# Requires Essentials or CMI plugin
hide-player-from-tab-when-afk: false

# Different player list in different world.
per-world-player-list:
  enabled: false

  # You can specify worlds, which will share the same list of players
  world-groups:

    # The key name, can be anything
    example1:
    - exampleWorld
    - exampleAnotherWorld
    exampleGroup2:
    - exampleWorld2
    - exampleAnotherWorld2

# Placeholders formatting
placeholder-format:

  # Applied when the player's afk state changed, this will result to include
  # a prefix or suffix after or before the player name
  afk-status:
    enable: false

    # Should the AFK format display in right or left side?
    # true - displays in right side (after the player name)
    # false - displays in left side (before the player name)
    show-in-right-or-left-side: true

    # Also display player's group together with the afk status
    show-player-group: true

    # Format when the player is AFK.
    format-yes: '&7 [AFK]&r '

    # Format when the player is not AFK.
    format-no: ''

    # Sort AFK players to the bottom of the player list?
    sort-last: false
  time:

    # Time zones: https://www.mkyong.com/java/java-display-list-of-timezone-with-gmt/
    # Or google it: "what is my time zone"
    time-zone: GMT0

    # Use system default time zone instead of searching for that?
    use-system-zone: false

    # Formats/examples: https://docs.oracle.com/javase/8/docs/api/java/text/SimpleDateFormat.html
    # Format of %server-time% placeholder.
    time-format: mm:HH

    # Format of %date% placeholder.
    date-format: dd/MM/yyyy

  # Ping color format for %ping% placeholder.
  ping:
    enable: true

    # https://github.com/montlikadani/TabList/wiki/Ping-or-tps-formatting
    formats:
    - '&a%ping% <= 200'
    - '&6%ping% >= 200'
    - '&c%ping% > 500'

  # TPS color format for %tps% placeholder.
  tps:
    enable: true

    # https://github.com/montlikadani/TabList/wiki/Ping-or-tps-formatting
    formats:
    - '&a%tps% > 18.0'
    - '&6%tps% == 16.0'
    - '&c%tps% < 16.0'

    # The amount of decimal to display after "." in %tps% placeholder
    # The size should be higher than 0
    # Example: 3 = 19.14
    size: 2

# Enable changing of prefix & suffix in player list?
change-prefix-suffix-in-tablist:
  enable: true

  # Refresh interval in server ticks.
  # Set to 0 to disable refreshing the groups automatically.
  refresh-interval: 4

  # Disable groups in these worlds.
  disabled-worlds:

    # Use the list as whitelist?
    use-as-whitelist: false
    list:
    - myWorldWithUpper

  # Automatically add groups from another plugins to the tablist groups.yml on every reload?
  # If a plugin does not support Vault, it will not be added.
  sync-plugins-groups-with-tablist: true

  # Hide player's group in player list when the player is vanished?
  # Requires Essentials, SuperVanish, PremiumVanish or CMI plugin
  hide-group-when-player-vanished: false

  # Do you want to assign global group to normal groups?
  # true - "globalGroupPrefix + normalGroupPrefix"
  # false - "normalGroupPrefix"
  assign-global-group-to-normal: false

  # Prefer player's primary Vault group when assigning tablist group from groups.yml?
  # true - player will be assigned their primary vault group where possible
  # false - applies one of the group from the permission plugin
  prefer-primary-vault-group: false

  # If true, groups will be sorted using LuckPerms weight if those are set.
  # Groups with higher weight set, will appear first to the player.
  # If the weights are not set or this option is disabled, the first group with higher priority will appear first.
  use-luckperms-weight-to-order-groups-to-first-place: false

  # Follow the name tag visibility for players to show the name tag above player or not,
  # depending if a scoreboard team with visibility 'hidden' is exist.
  # true - Follows the name tag visibility and hides if there is a scoreboard team created with visibility 'hidden'
  # false - Always shows the name tag above player
  followNameTagVisibility: false

# Tablist objective types
# Shows your current health (with life indicator), your current ping or any NUMBER placeholder
# after the player's name (before the ping indicator).
tablist-object-type:

  # Types:
  # none - disables tablist objects
  # ping - player's ping
  # health - player's health
  # custom - one of the number-ending placeholder
  type: ping

  # How often should it refresh the values in seconds?
  # Set to 0 to disable refreshing automatically
  refresh-interval: 3

  # The unique integer variable to be displayed.
  custom-value: '%level%'

  # In these worlds the objects will not be displayed
  disabled-worlds:
  - testingWorld

  # The format of this objective number what to display
  number-format:

    # The format type of this objective to display
    # Can be NONE (default), FIXED and STYLED
    type: none

    # The format of this objective, each format type is different,
    #  
    # none - shows as a yellow number (default)
    # fixed - a unique text displayed instead of number without styling
    # styled - changes the coloration of the number (use full color/formatting names 'green;bold;italic' or hexadecimal '#123456')
    #  
    # with 'styled' format you can specify only 1 color and each formatting names 1 time, separate with ';' character
    format: green;bold

# Checks for plugin updates after server start
check-update: true

# Download new updates to the updates folder and automatically apply when the server starts.
# This only works if the "check-update" option is enabled.
download-updates: false

# Can the plugin log debug messages to console? Sometimes its useful
logconsole: true
